import { Component, OnInit, AfterViewInit, ViewChild } from '@angular/core';

import { DATA } from './customers';
import { IgxGridComponent } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit, AfterViewInit {
  @ViewChild(IgxGridComponent)
  public grid: IgxGridComponent;

  title = 'kb3380-app1';

  public data: any[];

  constructor(){}

  ngOnInit(): void {
    this.data = DATA;
  }

  public ngAfterViewInit() {
    this.grid.columns[2].selected = true;
  }
}
